import request from '@/utils/request'

export class CodeApi {
  getList = (data={})=>{
    return  request({
        url: '/platform/v1/qr/list',
        method: 'post',
        data: data
    })
  }

  configAddOrEdit = (data={})=>{
    return  request({
        url: '/platform/v1/qr/addOrUpdate',
        method: 'post',
        data: data
    })
  }

  configDetail = (data={})=>{
    return  request({
        url: '/platform/v1/qr/getInfo',
        method: 'post',
        data: data
    })
  }

  configDelete = (data={})=>{
    return  request({
        url: '/platform/v1/qr/delete',
        method: 'post',
        data: data
    })
  }
}

export const codeApi = new CodeApi()